# Uses of Class
org.apache.qpid.proton.amqp.Binary

Packages that use Binary
Package
Description
org.apache.qpid.proton.amqp
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.amqp.security
org.apache.qpid.proton.amqp.transaction
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.impl
org.apache.qpid.proton.codec.messaging
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.framing

## Uses of Binary in org.apache.qpid.proton.amqp

Methods in org.apache.qpid.proton.amqp that return Binary
Modifier and Type
Method
Description
`static Binary`
Binary.`combine(Collection<Binary> binaries)`
`static Binary`
Binary.`copy(Binary source)`
`static Binary`
Binary.`create(ByteBuffer buffer)`
`static Binary`
Binary.`create(ReadableBuffer buffer)`
`Binary`
Binary.`subBinary(int offset, int length)`
Methods in org.apache.qpid.proton.amqp with parameters of type Binary
Modifier and Type
Method
Description
`static Binary`
Binary.`copy(Binary source)`
Method parameters in org.apache.qpid.proton.amqp with type arguments of type Binary
Modifier and Type
Method
Description
`static Binary`
Binary.`combine(Collection<Binary> binaries)`

## Uses of Binary in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return Binary
Modifier and Type
Method
Description
`Binary`
Properties.`getUserId()`
`Binary`
Data.`getValue()`
Methods in org.apache.qpid.proton.amqp.messaging with parameters of type Binary
Modifier and Type
Method
Description
`void`
Properties.`setUserId(Binary userId)`
Constructors in org.apache.qpid.proton.amqp.messaging with parameters of type Binary
Modifier
Constructor
Description
``
`Data(Binary value)`

## Uses of Binary in org.apache.qpid.proton.amqp.security

Methods in org.apache.qpid.proton.amqp.security that return Binary
Modifier and Type
Method
Description
`Binary`
SaslOutcome.`getAdditionalData()`
`Binary`
SaslChallenge.`getChallenge()`
`Binary`
SaslInit.`getInitialResponse()`
`Binary`
SaslResponse.`getResponse()`
Methods in org.apache.qpid.proton.amqp.security with parameters of type Binary
Modifier and Type
Method
Description
`void`
SaslFrameBody.SaslFrameBodyHandler.`handleChallenge(SaslChallenge saslChallenge, Binary payload, E context)`
`void`
SaslFrameBody.SaslFrameBodyHandler.`handleInit(SaslInit saslInit, Binary payload, E context)`
`void`
SaslFrameBody.SaslFrameBodyHandler.`handleMechanisms(SaslMechanisms saslMechanisms, Binary payload, E context)`
`void`
SaslFrameBody.SaslFrameBodyHandler.`handleOutcome(SaslOutcome saslOutcome, Binary payload, E context)`
`void`
SaslFrameBody.SaslFrameBodyHandler.`handleResponse(SaslResponse saslResponse, Binary payload, E context)`
`<E> void`
SaslChallenge.`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
SaslFrameBody.`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
SaslInit.`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
SaslMechanisms.`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
SaslOutcome.`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
SaslResponse.`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`
`void`
SaslOutcome.`setAdditionalData(Binary additionalData)`
`void`
SaslChallenge.`setChallenge(Binary challenge)`
`void`
SaslInit.`setInitialResponse(Binary initialResponse)`
`void`
SaslResponse.`setResponse(Binary response)`

## Uses of Binary in org.apache.qpid.proton.amqp.transaction

Methods in org.apache.qpid.proton.amqp.transaction that return Binary
Modifier and Type
Method
Description
`Binary`
Declared.`getTxnId()`
`Binary`
Discharge.`getTxnId()`
`Binary`
TransactionalState.`getTxnId()`
Methods in org.apache.qpid.proton.amqp.transaction with parameters of type Binary
Modifier and Type
Method
Description
`void`
Declared.`setTxnId(Binary txnId)`
`void`
Discharge.`setTxnId(Binary txnId)`
`void`
TransactionalState.`setTxnId(Binary txnId)`

## Uses of Binary in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return Binary
Modifier and Type
Method
Description
`Binary`
Transfer.`getDeliveryTag()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Binary
Modifier and Type
Method
Description
`void`
FrameBody.FrameBodyHandler.`handleAttach(Attach attach, Binary payload, E context)`
`void`
FrameBody.FrameBodyHandler.`handleBegin(Begin begin, Binary payload, E context)`
`void`
FrameBody.FrameBodyHandler.`handleClose(Close close, Binary payload, E context)`
`void`
FrameBody.FrameBodyHandler.`handleDetach(Detach detach, Binary payload, E context)`
`void`
FrameBody.FrameBodyHandler.`handleDisposition(Disposition disposition, Binary payload, E context)`
`void`
FrameBody.FrameBodyHandler.`handleEnd(End end, Binary payload, E context)`
`void`
FrameBody.FrameBodyHandler.`handleFlow(Flow flow, Binary payload, E context)`
`void`
FrameBody.FrameBodyHandler.`handleOpen(Open open, Binary payload, E context)`
`void`
FrameBody.FrameBodyHandler.`handleTransfer(Transfer transfer, Binary payload, E context)`
`<E> void`
Attach.`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
Begin.`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
Close.`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
Detach.`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
Disposition.`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
EmptyFrame.`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
End.`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
Flow.`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
FrameBody.`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
Open.`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`<E> void`
Transfer.`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`void`
Transfer.`setDeliveryTag(Binary deliveryTag)`

## Uses of Binary in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return Binary
Modifier and Type
Method
Description
`Binary`
Data.`encode()`
`Binary`
Data.`getBinary()`
`Binary`
Decoder.`readBinary()`
`Binary`
Decoder.`readBinary(Binary defaultValue)`
`Binary`
DecoderImpl.`readBinary()`
`Binary`
DecoderImpl.`readBinary(Binary defaultValue)`
Methods in org.apache.qpid.proton.codec that return types with arguments of type Binary
Modifier and Type
Method
Description
`Class<Binary>`
BinaryType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec with parameters of type Binary
Modifier and Type
Method
Description
`void`
BinaryType.`fastWrite(EncoderImpl encoder, Binary binary)`
`org.apache.qpid.proton.codec.BinaryType.BinaryEncoding`
BinaryType.`getEncoding(Binary val)`
`void`
Data.`putBinary(Binary bytes)`
`Binary`
Decoder.`readBinary(Binary defaultValue)`
`Binary`
DecoderImpl.`readBinary(Binary defaultValue)`
`void`
Encoder.`writeBinary(Binary b)`
`void`
EncoderImpl.`writeBinary(Binary b)`

## Uses of Binary in org.apache.qpid.proton.codec.impl

Methods in org.apache.qpid.proton.codec.impl that return Binary
Modifier and Type
Method
Description
`Binary`
DataImpl.`encode()`
`Binary`
DataImpl.`getBinary()`
Methods in org.apache.qpid.proton.codec.impl with parameters of type Binary
Modifier and Type
Method
Description
`void`
DataImpl.`putBinary(Binary bytes)`

## Uses of Binary in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return Binary
Modifier and Type
Method
Description
`protected Binary`
DataType.`wrap(Data val)`

## Uses of Binary in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type Binary
Modifier and Type
Method
Description
`void`
SaslImpl.`handle(SaslFrameBody frameBody, Binary payload)`
`void`
TransportImpl.`handleAttach(Attach attach, Binary payload, Integer channel)`
`void`
TransportImpl.`handleBegin(Begin begin, Binary payload, Integer channel)`
`void`
SaslImpl.`handleChallenge(SaslChallenge saslChallenge, Binary payload, Void context)`
`void`
TransportImpl.`handleClose(Close close, Binary payload, Integer channel)`
`void`
TransportImpl.`handleDetach(Detach detach, Binary payload, Integer channel)`
`void`
TransportImpl.`handleDisposition(Disposition disposition, Binary payload, Integer channel)`
`void`
TransportImpl.`handleEnd(End end, Binary payload, Integer channel)`
`void`
TransportImpl.`handleFlow(Flow flow, Binary payload, Integer channel)`
`void`
SaslImpl.`handleInit(SaslInit saslInit, Binary payload, Void context)`
`void`
SaslImpl.`handleMechanisms(SaslMechanisms saslMechanisms, Binary payload, Void context)`
`void`
TransportImpl.`handleOpen(Open open, Binary payload, Integer channel)`
`void`
SaslImpl.`handleOutcome(SaslOutcome saslOutcome, Binary payload, Void context)`
`void`
SaslImpl.`handleResponse(SaslResponse saslResponse, Binary payload, Void context)`
`void`
TransportImpl.`handleTransfer(Transfer transfer, Binary payload, Integer channel)`
`void`
SaslImpl.`setResponse(Binary initialResponse)`
`static String`
StringUtils.`toQuotedString(Binary bin, int stringLength, boolean appendIfTruncated)`
Converts the Binary to a quoted string.

## Uses of Binary in org.apache.qpid.proton.framing

Methods in org.apache.qpid.proton.framing that return Binary
Modifier and Type
Method
Description
`Binary`
TransportFrame.`getPayload()`
Constructors in org.apache.qpid.proton.framing with parameters of type Binary
Modifier
Constructor
Description
``
`TransportFrame(int channel, FrameBody body, Binary payload)`